Skip to main content
POST
/
v1
/
pipeline
/
sprite-sheet
{
  "input": "https://example.com/video.mp4",
  "columns": 10,
  "width": 160,
  "interval": 5
}
curl -X POST https://api.ringbee.dev/v1/pipeline/sprite-sheet \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "columns=10" \
  -F "width=160" \
  -F "interval=5"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "columns": 10,
  "width": 160,
  "interval": 5
}
curl -X POST https://api.ringbee.dev/v1/pipeline/sprite-sheet \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "columns=10" \
  -F "width=160" \
  -F "interval=5"
ParamTypeDescription
columnsintegerNumber of columns in the sprite grid
widthintegerWidth of each thumbnail in pixels
intervalnumberInterval in seconds between captured frames

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

columns
integer

Number of columns in the sprite grid

width
integer

Width of each thumbnail in pixels

interval
number

Interval in seconds between captured frames

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"